
%top {

#include "grammar.h"

}


%option noyywrap
%option nounput
%option noinput
%option yylineno
%option stack
%option noyy_top_state
%option noyy_push_state
%option noyy_pop_state


%%


[ \t]  { }

[^ ]+  { yylvalp->string = strdup(yytext); return OPERAND; }

.      {
           char *msg;
           asprintf(&msg, "Unhandled token in d2c pattern block: '%s'", yytext);
           YY_FATAL_ERROR(msg);
           free(msg);
       }


%%
